Package org.italiangrid.voms.store.impl

# Class VOMSThread

java.lang.Object
java.lang.Thread
org.italiangrid.voms.store.impl.VOMSThread

All Implemented Interfaces:
  `Runnable`

public class VOMSThread extends Thread
An helper class to create a named VOMS thread. This class just sets the name for the thread and set an `Thread.UncaughtExceptionHandler` which logs the caught exception.

Author:
  Andrea Ceccanti

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Thread

`Thread.Builder, Thread.State, Thread.UncaughtExceptionHandler`

## Field Summary

### Fields inherited from class java.lang.Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

## Constructor Summary

Constructors
Constructor
Description
`VOMSThread(Runnable target, String name, Thread.UncaughtExceptionHandler handler)`
Default constructor.

## Method Summary

### Methods inherited from class java.lang.Thread

`activeCount, checkAccess, clone, countStackFrames, currentThread, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, isVirtual, join, join, join, join, ofPlatform, ofVirtual, onSpinWait, resume, run, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, sleep, start, startVirtualThread, stop, suspend, threadId, toString, yield`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### VOMSThread

public VOMSThread(Runnable target, String name, Thread.UncaughtExceptionHandler handler)
Default constructor.

Parameters:
  `target` - the object whose `run` method is called.
  `name` - the name of the new thread.
  `handler` - the `Thread.UncaughtExceptionHandler` used for this thread